Initiate Offramp
curl --request POST \
--url https://api.bullring.finance/v2/ramp/{subaccountId}/banking/offramp/initiate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"from": {
"chain": "SOL-DEVNET",
"asset": "USDC",
"amount": 10,
"sender_address": "6FxHYG9TnJRg933piXUBu2R2mzB13htrNifX3NYU73it"
},
"to": {
"recipient_id": "39e4f180-b558-4346-bf5f-2ec9c6b444f4"
},
"client_offramp_reference": "5a26b319-fc68-4ee2-83f2-19889571619d"
}
'import requests
url = "https://api.bullring.finance/v2/ramp/{subaccountId}/banking/offramp/initiate"
payload = {
"from": {
"chain": "SOL-DEVNET",
"asset": "USDC",
"amount": 10,
"sender_address": "6FxHYG9TnJRg933piXUBu2R2mzB13htrNifX3NYU73it"
},
"to": { "recipient_id": "39e4f180-b558-4346-bf5f-2ec9c6b444f4" },
"client_offramp_reference": "5a26b319-fc68-4ee2-83f2-19889571619d"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: {
chain: 'SOL-DEVNET',
asset: 'USDC',
amount: 10,
sender_address: '6FxHYG9TnJRg933piXUBu2R2mzB13htrNifX3NYU73it'
},
to: {recipient_id: '39e4f180-b558-4346-bf5f-2ec9c6b444f4'},
client_offramp_reference: '5a26b319-fc68-4ee2-83f2-19889571619d'
})
};
fetch('https://api.bullring.finance/v2/ramp/{subaccountId}/banking/offramp/initiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0a90865e-5f9f-4ac7-9498-ad7e6a99d224",
"type": "offramp",
"status": "pending",
"created_at": "2026-01-30T13:17:13.200Z",
"account_id": "bb9bb7f8-53a1-4d2b-9d44-972462772789",
"client_offramp_reference": "5a26b319-fc68-4ee2-83f2-19889571619d",
"from": {
"amount": "10",
"asset": "USDC",
"network": "SOL-DEVNET",
"address": "6n3pQZwdFRFRNDFUAsWp2WdsYxBjP1BG8kp94fccSXif"
},
"to": {
"currency": "BRL",
"gross_amount": "50",
"net_amount": "45",
"recipient_id": "39e4f180-b558-4346-bf5f-2ec9c6b444f4"
},
"pricing": {
"fx_rate": "5.0",
"fees": {
"offramp_fee": "1.5",
"offramp_fee_currency": "BRL",
"network_fee": "0.75",
"network_fee_asset": "USDC",
"total_fees": "5.43",
"total_fees_currency": "BRL"
}
}
}{
"statusCode": 404,
"timestamp": "2026-01-12T15:10:22.392Z",
"message": "Bank account not found"
}Offramp
Initiate Offramp
Convert crypto to fiat via offramp. This does not affect your Bullring balance.
POST
/
v2
/
ramp
/
{subaccountId}
/
banking
/
offramp
/
initiate
Initiate Offramp
Authorizations
Path Parameters
Body
application/json
⌘I